FINDTAGS(1)

NAME
findtags - find tags in Interchange catalogs and directories

SYNOPSIS
  findtags -a -d lib/UI
  findtags -a -d lib/UI -t -u
  findtags -a -u -t

DESCRIPTION
Find tags in Interchange catalogs and directories -- intended to develop a list for TagInclude.

WARNING: This is not 100%, for developing tag names from Variable definitions and other sources can fool it. If you include all directories, make sure you don't include documentation files or the usertags themselves.

With the standard distribution, this should find just about all tags needed:

        findtags -a -d lib/UI

To develop a TagInclude statement which excludes unused tags, try:

        findtags -a -d lib/UI -t -u

If you don't want to use the UI, then do:

        findtags -a -u -t

OPTIONS

-a  Look in all catalogs.

-c CAT
    Only look in catalog CAT.

-d DIR1 DIR2 ....
    Look in given directories.

-f FILE
    Use alternate interchange.cfg file FILE.

-h  Display help.

-n  Don't report system tags.

-t  Output suitable for TagInclude directive.

-u  Report unseen tags.

-v  Slightly verbose, report directories scanned.

-x DIR1 DIR2 ....
    Exclude given directories from scanning. Default is session and tmp.